Parselv1.0.0
Webhooks

Get webhook events

Get all events for a specific webhook subscription by ID.

GET
/webhooks/{id}/events

Authorization

authorization
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Webhook subscription ID

Formatuuid

Response Body

application/json

application/json

curl -X GET "https://api.parsel.app/webhooks/123e4567-e89b-12d3-a456-426614174000/events"
{
  "data": [
    {
      "happened_at": {},
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "payload": {
        "shipment_id": "123e4567-e89b-12d3-a456-426614174000",
        "shipping_label_id": "123e4567-e89b-12d3-a456-426614174000",
        "tracking_code": "1234567890",
        "tracking_events": [
          {
            "message": "RECEIVED IN DESTINATION",
            "occurred_at": {},
            "source": "OnTrac",
            "status": "IN_TRANSIT",
            "status_detail": "RECEIVED IN DESTINATION",
            "tracking_location": {
              "city": "COMMERCE",
              "country": "US",
              "state": "CA",
              "zip": "90040"
            }
          }
        ]
      },
      "status": "PENDING",
      "topic": "LABEL_TRACKING_UPDATED",
      "webhook_subscription_id": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "metadata": {
    "current_page": 1,
    "page_size": 25,
    "total_count": 87,
    "total_pages": 4
  }
}
{
  "errors": {
    "message": "The requested resource could not be found",
    "status": "Not Found"
  }
}